Lines Matching +full:gas +full:- +full:preprocessor
2 # Guess values for system-dependent variables and create Makefiles.
9 ## --------------------- ##
11 ## --------------------- ##
15 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
20 alias -g '${1+"$@"}'='"$@"'
23 case `(set -o) 2>/dev/null` in
24 *posix*) set -o posix ;;
50 rm -f conf$$.sh
63 # there to prevent editors from complaining about space-tab.
77 test -z "$as_dir" && as_dir=.
78 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
89 if test ! -f "$as_myself"; then
94 # Work around bugs in pre-3.0 UWIN ksh.
108 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
123 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
131 as_me=`$as_basename -- "$0" ||
225 test -z "$as_dir" && as_dir=.
238 if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
240 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
245 alias -g '${1+"$@"}'='"$@"'
248 case `(set -o) 2>/dev/null` in
249 *posix*) set -o posix ;;
261 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
266 alias -g '${1+"$@"}'='"$@"'
269 case `(set -o) 2>/dev/null` in
270 *posix*) set -o posix ;;
430 # line-number line after each line using $LINENO; the second 'sed'
432 # line-number line with the line containing $LINENO, and appends
433 # trailing '-' during substitution so that $LINENO is not a special
437 # E. McMahon (1931-1989) for sed's syntax. :-)
438 sed -n '
443 s/[$]LINENO.*/&-/
451 s/-\n.*//
466 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
473 case `echo -n x` in
474 -n*)
480 ECHO_N='-n';;
490 rm -f conf$$ conf$$.exe conf$$.file
491 if test -d conf$$.dir; then
492 rm -f conf$$.dir/conf$$.file
494 rm -f conf$$.dir
498 if ln -s conf$$.file conf$$ 2>/dev/null; then
499 as_ln_s='ln -s'
501 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
502 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
503 # In both cases, we have to default to `cp -p'.
504 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
505 as_ln_s='cp -p'
509 as_ln_s='cp -p'
511 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
514 if mkdir -p . 2>/dev/null; then
517 test -d ./-p && rmdir ./-p
521 if test -x / >/dev/null 2>&1; then
522 as_test_x='test -x'
524 if ls -dL / >/dev/null 2>&1; then
530 eval sh -c '\''
531 if test -d "$1"; then
532 test -d "$1/.";
535 -*)set "./$1";;
537 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
557 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
570 SHELL=${CONFIG_SHELL-/bin/sh}
767 if test -n "$ac_prev"; then
781 --)
784 -bindir | --bindir | --bindi | --bind | --bin | --bi)
786 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
789 -build | --build | --buil | --bui | --bu)
791 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
794 -cache-file | --cache-file | --cache-fil | --cache-fi \
795 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
797 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
798 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
801 --config-cache | -C)
804 -datadir | --datadir | --datadi | --datad)
806 -datadir=* | --datadir=* | --datadi=* | --datad=*)
809 -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
810 | --dataroo | --dataro | --datar)
812 -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
813 | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
816 -disable-* | --disable-*)
817 ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
819 expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
822 ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
825 -docdir | --docdir | --docdi | --doc | --do)
827 -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
830 -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
832 -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
835 -enable-* | --enable-*)
836 ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
838 expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
841 ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
844 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
845 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
846 | --exec | --exe | --ex)
848 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
849 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
850 | --exec=* | --exe=* | --ex=*)
853 -gas | --gas | --ga | --g)
854 # Obsolete; use --with-gas.
857 -help | --help | --hel | --he | -h)
859 -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
861 -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
864 -host | --host | --hos | --ho)
866 -host=* | --host=* | --hos=* | --ho=*)
869 -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
871 -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
872 | --ht=*)
875 -includedir | --includedir | --includedi | --included | --include \
876 | --includ | --inclu | --incl | --inc)
878 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
879 | --includ=* | --inclu=* | --incl=* | --inc=*)
882 -infodir | --infodir | --infodi | --infod | --info | --inf)
884 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
887 -libdir | --libdir | --libdi | --libd)
889 -libdir=* | --libdir=* | --libdi=* | --libd=*)
892 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
893 | --libexe | --libex | --libe)
895 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
896 | --libexe=* | --libex=* | --libe=*)
899 -localedir | --localedir | --localedi | --localed | --locale)
901 -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
904 -localstatedir | --localstatedir | --localstatedi | --localstated \
905 | --localstate | --localstat | --localsta | --localst | --locals)
907 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
908 | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
911 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
913 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
916 -nfp | --nfp | --nf)
917 # Obsolete; use --without-fp.
920 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
921 | --no-cr | --no-c | -n)
924 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
925 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
928 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
929 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
930 | --oldin | --oldi | --old | --ol | --o)
932 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
933 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
934 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
937 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
939 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
942 -program-prefix | --program-prefix | --program-prefi | --program-pref \
943 | --program-pre | --program-pr | --program-p)
945 -program-prefix=* | --program-prefix=* | --program-prefi=* \
946 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
949 -program-suffix | --program-suffix | --program-suffi | --program-suff \
950 | --program-suf | --program-su | --program-s)
952 -program-suffix=* | --program-suffix=* | --program-suffi=* \
953 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
956 -program-transform-name | --program-transform-name \
957 | --program-transform-nam | --program-transform-na \
958 | --program-transform-n | --program-transform- \
959 | --program-transform | --program-transfor \
960 | --program-transfo | --program-transf \
961 | --program-trans | --program-tran \
962 | --progr-tra | --program-tr | --program-t)
964 -program-transform-name=* | --program-transform-name=* \
965 | --program-transform-nam=* | --program-transform-na=* \
966 | --program-transform-n=* | --program-transform-=* \
967 | --program-transform=* | --program-transfor=* \
968 | --program-transfo=* | --program-transf=* \
969 | --program-trans=* | --program-tran=* \
970 | --progr-tra=* | --program-tr=* | --program-t=*)
973 -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
975 -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
978 -psdir | --psdir | --psdi | --psd | --ps)
980 -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
983 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
984 | -silent | --silent | --silen | --sile | --sil)
987 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
989 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
990 | --sbi=* | --sb=*)
993 -sharedstatedir | --sharedstatedir | --sharedstatedi \
994 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
995 | --sharedst | --shareds | --shared | --share | --shar \
996 | --sha | --sh)
998 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
999 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
1000 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
1001 | --sha=* | --sh=*)
1004 -site | --site | --sit)
1006 -site=* | --site=* | --sit=*)
1009 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
1011 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
1014 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
1015 | --syscon | --sysco | --sysc | --sys | --sy)
1017 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
1018 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
1021 -target | --target | --targe | --targ | --tar | --ta | --t)
1023 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
1026 -v | -verbose | --verbose | --verbos | --verbo | --verb)
1029 -version | --version | --versio | --versi | --vers | -V)
1032 -with-* | --with-*)
1033 ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
1035 expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
1038 ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
1041 -without-* | --without-*)
1042 ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
1044 expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
1047 ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
1050 --x)
1051 # Obsolete; use --with-x.
1054 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
1055 | --x-incl | --x-inc | --x-in | --x-i)
1057 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
1058 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
1061 -x-libraries | --x-libraries | --x-librarie | --x-librari \
1062 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
1064 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
1065 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
1068 -*) { echo "$as_me: error: unrecognized option: $ac_option
1069 Try \`$0 --help' for more information." >&2
1084 echo "$as_me: WARNING: you should use --build, --host, --target" >&2
1085 expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
1093 if test -n "$ac_prev"; then
1094 ac_option=--`echo $ac_prev | sed 's/_/-/g'`
1110 { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
1115 # used to hold the argument of --host etc.
1125 echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
1133 test -n "$host_alias" && ac_tool_prefix=$host_alias-
1138 ac_pwd=`pwd` && test -n "$ac_pwd" &&
1139 ac_ls_di=`ls -di .` &&
1140 ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
1149 if test -z "$srcdir"; then
1152 ac_confdir=`$as_dirname -- "$0" ||
1176 if test ! -r "$srcdir/$ac_unique_file"; then
1182 if test ! -r "$srcdir/$ac_unique_file"; then
1189 cd "$srcdir" && test -r "./$ac_unique_file" || { echo "$as_me: error: $ac_msg" >&2
1198 # mess up M-x gdb in Emacs.
1210 # Report the --help message.
1226 -h, --help display this help and exit
1227 --help=short display options specific to this package
1228 --help=recursive display the short help of all the included packages
1229 -V, --version display version information and exit
1230 -q, --quiet, --silent do not print \`checking...' messages
1231 --cache-file=FILE cache test results in FILE [disabled]
1232 -C, --config-cache alias for \`--cache-file=config.cache'
1233 -n, --no-create do not create output files
1234 --srcdir=DIR find the sources in DIR [configure dir or \`..']
1237 --prefix=PREFIX install architecture-independent files in PREFIX
1239 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
1244 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
1245 for instance \`--prefix=\$HOME'.
1250 --bindir=DIR user executables [EPREFIX/bin]
1251 --sbindir=DIR system admin executables [EPREFIX/sbin]
1252 --libexecdir=DIR program executables [EPREFIX/libexec]
1253 --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
1254 --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
1255 --localstatedir=DIR modifiable single-machine data [PREFIX/var]
1256 --libdir=DIR object code libraries [EPREFIX/lib]
1257 --includedir=DIR C header files [PREFIX/include]
1258 --oldincludedir=DIR C header files for non-gcc [/usr/include]
1259 --datarootdir=DIR read-only arch.-independent data root [PREFIX/share]
1260 --datadir=DIR read-only architecture-independent data [DATAROOTDIR]
1261 --infodir=DIR info documentation [DATAROOTDIR/info]
1262 --localedir=DIR locale-dependent data [DATAROOTDIR/locale]
1263 --mandir=DIR man documentation [DATAROOTDIR/man]
1264 --docdir=DIR documentation root [DATAROOTDIR/doc/PACKAGE]
1265 --htmldir=DIR html documentation [DOCDIR]
1266 --dvidir=DIR dvi documentation [DOCDIR]
1267 --pdfdir=DIR pdf documentation [DOCDIR]
1268 --psdir=DIR ps documentation [DOCDIR]
1274 --program-prefix=PREFIX prepend PREFIX to installed program names
1275 --program-suffix=SUFFIX append SUFFIX to installed program names
1276 --program-transform-name=PROGRAM run sed PROGRAM on installed program names
1279 --build=BUILD configure for building on BUILD [guessed]
1280 --host=HOST cross-compile to build programs to run on HOST [BUILD]
1284 if test -n "$ac_init_help"; then
1289 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1290 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1291 --disable-dependency-tracking speeds up one-time build
1292 --enable-dependency-tracking do not reject slow dependency extractors
1297 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
1299 LIBS libraries to pass to the linker, e.g. -l<library>
1300 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
1302 CPP C preprocessor
1312 # If there are subdirs, report their specific --help.
1314 test -d "$ac_dir" || continue
1351 if test -f "$ac_srcdir/configure.gnu"; then
1353 $SHELL "$ac_srcdir/configure.gnu" --help=recursive
1354 elif test -f "$ac_srcdir/configure"; then
1356 $SHELL "$ac_srcdir/configure" --help=recursive
1364 test -n "$ac_init_help" && exit $ac_status
1390 ## --------- ##
1392 ## --------- ##
1394 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
1395 uname -m = `(uname -m) 2>/dev/null || echo unknown`
1396 uname -r = `(uname -r) 2>/dev/null || echo unknown`
1397 uname -s = `(uname -s) 2>/dev/null || echo unknown`
1398 uname -v = `(uname -v) 2>/dev/null || echo unknown`
1400 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
1401 /bin/uname -X = `(/bin/uname -X) 2>/dev/null || echo unknown`
1404 /usr/bin/arch -k = `(/usr/bin/arch -k) 2>/dev/null || echo unknown`
1417 test -z "$as_dir" && as_dir=.
1427 ## ----------- ##
1429 ## ----------- ##
1435 # Strip out --no-create and --no-recursion so they do not pile up.
1436 # Strip out --silent because we don't want to record it for future runs.
1437 # Also quote any args containing shell meta-characters.
1438 # Make two passes to allow for proper duplicate-argument suppression.
1448 -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
1449 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1450 | -silent | --silent | --silen | --sile | --sil)
1463 *=* | --config-cache | -C | -disable-* | --disable-* \
1464 | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
1465 | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
1466 | -with-* | --with-* | -without-* | --without-* | --x)
1471 -* ) ac_must_keep_next=true ;;
1493 ## ---------------- ##
1495 ## ---------------- ##
1500 for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
1517 sed -n \
1522 sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
1530 ## ----------------- ##
1532 ## ----------------- ##
1545 if test -n "$ac_subst_files"; then
1547 ## ------------------- ##
1549 ## ------------------- ##
1563 if test -s confdefs.h; then
1565 ## ----------- ##
1567 ## ----------- ##
1577 rm -f core *.core core.conftest.* &&
1578 rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
1587 rm -f -r conftest* confdefs.h
1589 # Predefined preprocessor variables.
1618 if test -n "$CONFIG_SITE"; then
1629 if test -r "$ac_site_file"; then
1637 if test -r "$cache_file"; then
1640 if test -f "$cache_file"; then
1721 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1722 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1730 if test -f "$ac_dir/install-sh"; then
1732 ac_install_sh="$ac_aux_dir/install-sh -c"
1734 elif test -f "$ac_dir/install.sh"; then
1736 ac_install_sh="$ac_aux_dir/install.sh -c"
1738 elif test -f "$ac_dir/shtool"; then
1740 ac_install_sh="$ac_aux_dir/shtool install -c"
1744 if test -z "$ac_aux_dir"; then
1745 …{ { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in \"$srcdir\" \"$srcdir/..\…
1746 echo "$as_me: error: cannot find install-sh or install.sh in \"$srcdir\" \"$srcdir/..\" \"$srcdir/.…
1767 # AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
1772 { echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
1773 echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6; }
1774 if test -z "$INSTALL"; then
1782 test -z "$as_dir" && as_dir=.
1795 if { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; }; then
1802 # program-specific install script used by HP pwplus--don't use.
1805 ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
1831 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
1833 test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
1835 test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
1837 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
1845 # arguments. Must try -L first in case configure is actually a
1850 set X `ls -Lt $srcdir/configure conftest.file 2> /dev/null`
1852 # -L didn't work.
1853 set X `ls -t $srcdir/configure conftest.file`
1855 rm -f conftest.file
1863 { { echo "$as_me:$LINENO: error: ls -t appears to fail. Make sure there is not a broken
1865 echo "$as_me: error: ls -t appears to fail. Make sure there is not a broken
1894 program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1895 rm -f conftest.sed
1902 if eval "$MISSING --run true"; then
1903 am_missing_run="$MISSING --run "
1910 { echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
1911 echo $ECHO_N "checking for a thread-safe mkdir -p... $ECHO_C" >&6; }
1912 if test -z "$MKDIR_P"; then
1920 test -z "$as_dir" && as_dir=.
1923 …{ test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; } || contin…
1924 case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
1939 MKDIR_P="$ac_cv_path_mkdir -p"
1945 test -d ./--version && rmdir ./--version
1946 MKDIR_P="$ac_install_sh -d"
1967 if test -n "$AWK"; then
1974 test -z "$as_dir" && as_dir=.
1976 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
1988 if test -n "$AWK"; then
1997 test -n "$AWK" && break
2000 { echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
2001 echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
2002 set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
2012 case `${MAKE-make} -f conftest.make 2>/dev/null` in
2018 rm -f conftest.make
2027 SET_MAKE="MAKE=${MAKE-make}"
2030 rm -rf .tst 2>/dev/null
2032 if test -d .tst; then
2040 # Use -I$(srcdir) only when $(srcdir) != ., so that make's output
2041 # is not polluted with repeated "-I."
2042 am__isrc=' -I$(srcdir)'
2044 if test -f $srcdir/config.status; then
2052 if test -z "$CYGPATH_W"; then
2053 if (cygpath --version) >/dev/null 2>/dev/null; then
2054 CYGPATH_W='cygpath -w'
2063 VERSION=6.0-RC2
2077 ACLOCAL=${ACLOCAL-"${am_missing_run}aclocal-${am__api_version}"}
2080 AUTOCONF=${AUTOCONF-"${am_missing_run}autoconf"}
2083 AUTOMAKE=${AUTOMAKE-"${am_missing_run}automake-${am__api_version}"}
2086 AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
2089 MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
2091 install_sh=${install_sh-"\$(SHELL) $am_aux_dir/install-sh"}
2094 # run `make install-strip'. However `strip' might not be the right
2095 # tool to use in cross-compilation environments, therefore Automake
2098 if test -n "$ac_tool_prefix"; then
2106 if test -n "$STRIP"; then
2113 test -z "$as_dir" && as_dir=.
2115 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2127 if test -n "$STRIP"; then
2137 if test -z "$ac_cv_prog_STRIP"; then
2146 if test -n "$ac_ct_STRIP"; then
2153 test -z "$as_dir" && as_dir=.
2155 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2167 if test -n "$ac_ct_STRIP"; then
2180 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
2183 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
2195 INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
2201 AMTAR=${AMTAR-"${am_missing_run}tar"}
2203 am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
2239 *-*-*) ;;
2245 ac_save_IFS=$IFS; IFS='-'
2255 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac
2276 *-*-*) ;;
2282 ac_save_IFS=$IFS; IFS='-'
2292 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
2301 am_make=${MAKE-make}
2320 if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
2328 if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then
2338 rm -f confinc confmf
2340 # Check whether --enable-dependency-tracking was given.
2360 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2361 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2363 if test -n "$ac_tool_prefix"; then
2371 if test -n "$CC"; then
2378 test -z "$as_dir" && as_dir=.
2380 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2392 if test -n "$CC"; then
2402 if test -z "$ac_cv_prog_CC"; then
2411 if test -n "$ac_ct_CC"; then
2418 test -z "$as_dir" && as_dir=.
2420 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2432 if test -n "$ac_ct_CC"; then
2445 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
2448 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
2459 if test -z "$CC"; then
2460 if test -n "$ac_tool_prefix"; then
2468 if test -n "$CC"; then
2475 test -z "$as_dir" && as_dir=.
2477 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2489 if test -n "$CC"; then
2500 if test -z "$CC"; then
2508 if test -n "$CC"; then
2516 test -z "$as_dir" && as_dir=.
2518 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2546 if test -n "$CC"; then
2556 if test -z "$CC"; then
2557 if test -n "$ac_tool_prefix"; then
2567 if test -n "$CC"; then
2574 test -z "$as_dir" && as_dir=.
2576 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2588 if test -n "$CC"; then
2597 test -n "$CC" && break
2600 if test -z "$CC"; then
2611 if test -n "$ac_ct_CC"; then
2618 test -z "$as_dir" && as_dir=.
2620 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2632 if test -n "$ac_ct_CC"; then
2641 test -n "$ac_ct_CC" && break
2649 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
2652 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
2664 test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
2673 { (ac_try="$ac_compiler --version >&5"
2679 (eval "$ac_compiler --version >&5") 2>&5
2683 { (ac_try="$ac_compiler -v >&5"
2689 (eval "$ac_compiler -v >&5") 2>&5
2693 { (ac_try="$ac_compiler -V >&5"
2699 (eval "$ac_compiler -V >&5") 2>&5
2721 # Try to create an executable without -o first, disregard a.out.
2726 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
2744 rm -f $ac_rmfiles
2756 # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
2759 # so that the user can short-circuit this test for compilers unknown to
2763 test -f "$ac_file" || continue
2777 # safe: cross compilers may not add the suffix if given an `-o'
2794 if test -z "$ac_file"; then
2830 If you meant to cross compile, use \`--host'.
2833 If you meant to cross compile, use \`--host'.
2842 rm -f a.out a.exe conftest$ac_cv_exeext b.out
2868 test -f "$ac_file" || continue
2884 rm -f conftest$ac_cv_exeext
2888 rm -f conftest.$ac_ext
2911 rm -f conftest.o conftest.obj
2923 test -f "$ac_file" || continue;
2941 rm -f conftest.$ac_cv_objext conftest.$ac_ext
2970 rm -f conftest.$ac_objext
2979 grep -v '^ *+' conftest.er1 >conftest.err
2980 rm -f conftest.er1
2984 test -z "$ac_c_werror_flag" ||
2985 test ! -s conftest.err
2986 } && test -s conftest.$ac_objext; then
2995 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
3004 { echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
3005 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
3012 CFLAGS="-g"
3028 rm -f conftest.$ac_objext
3037 grep -v '^ *+' conftest.er1 >conftest.err
3038 rm -f conftest.er1
3042 test -z "$ac_c_werror_flag" ||
3043 test ! -s conftest.err
3044 } && test -s conftest.$ac_objext; then
3066 rm -f conftest.$ac_objext
3075 grep -v '^ *+' conftest.er1 >conftest.err
3076 rm -f conftest.er1
3080 test -z "$ac_c_werror_flag" ||
3081 test ! -s conftest.err
3082 } && test -s conftest.$ac_objext; then
3089 CFLAGS="-g"
3105 rm -f conftest.$ac_objext
3114 grep -v '^ *+' conftest.er1 >conftest.err
3115 rm -f conftest.er1
3119 test -z "$ac_c_werror_flag" ||
3120 test ! -s conftest.err
3121 } && test -s conftest.$ac_objext; then
3130 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
3133 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
3136 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
3145 CFLAGS="-g -O2"
3147 CFLAGS="-g"
3151 CFLAGS="-O2"
3192 /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
3195 as 'x'. The following induces an error, until -std is added to get
3198 that's true only with -std. */
3199 int osf4_cc_array ['\x00' == 0 ? 1 : -1];
3201 /* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
3204 int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
3220 for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
3221 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
3224 rm -f conftest.$ac_objext
3233 grep -v '^ *+' conftest.er1 >conftest.err
3234 rm -f conftest.er1
3238 test -z "$ac_c_werror_flag" ||
3239 test ! -s conftest.err
3240 } && test -s conftest.$ac_objext; then
3249 rm -f core conftest.err conftest.$ac_objext
3252 rm -f conftest.$ac_ext
3273 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3274 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3284 if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
3287 # instance it was reported that on HP-UX the gcc test will end up
3288 # making a dummy file named `D' -- because `-MD' means `put the output
3297 # both Tru64's cc and ICC support -MD to output dependencies as a
3305 am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
3326 # after this tag, mechanisms are not by side-effect, so they'll
3336 # We check with `-c' and `-o' for the sake of the "dashmstdout"
3338 # handle `-M -o', and we need to detect this.
3340 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
3342 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
3346 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
3347 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
3349 # or remarks (even with -Werror). So we grep stderr for any message
3351 # When given -MP, icc 7.0 and 7.1 complain thusly:
3352 # icc: Command line warning: ignoring option '-M'; no argument required
3354 # icc: Command line remark: option '-MP' not supported
3364 rm -rf conftest.dir
3388 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3389 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3391 { echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
3392 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
3394 if test -n "$CPP" && test -d "$CPP"; then
3397 if test -z "$CPP"; then
3402 for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
3408 # with a fresh cross-compiler works.
3411 # On the NeXT, cc -E runs the code through the compiler's parser,
3434 grep -v '^ *+' conftest.er1 >conftest.err
3435 rm -f conftest.er1
3439 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
3440 test ! -s conftest.err
3451 rm -f conftest.err conftest.$ac_ext
3471 grep -v '^ *+' conftest.er1 >conftest.err
3472 rm -f conftest.er1
3476 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
3477 test ! -s conftest.err
3490 rm -f conftest.err conftest.$ac_ext
3494 rm -f conftest.err conftest.$ac_ext
3513 # with a fresh cross-compiler works.
3516 # On the NeXT, cc -E runs the code through the compiler's parser,
3539 grep -v '^ *+' conftest.er1 >conftest.err
3540 rm -f conftest.er1
3544 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
3545 test ! -s conftest.err
3556 rm -f conftest.err conftest.$ac_ext
3576 grep -v '^ *+' conftest.er1 >conftest.err
3577 rm -f conftest.er1
3581 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
3582 test ! -s conftest.err
3595 rm -f conftest.err conftest.$ac_ext
3599 rm -f conftest.err conftest.$ac_ext
3603 { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
3605 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
3612 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3613 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3617 { echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
3618 echo $ECHO_N "checking for grep that handles long lines and -e... $ECHO_C" >&6; }
3623 if test -z "$GREP"; then
3629 # Loop through the user's path and test for each of PROGNAME-LIST
3634 test -z "$as_dir" && as_dir=.
3638 { test -f "$ac_path_GREP" && $as_test_x "$ac_path_GREP"; } || continue
3641 case `"$ac_path_GREP" --version 2>&1` in
3653 …"$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || br…
3656 if test $ac_count -gt ${ac_path_GREP_max-0}; then
3662 test $ac_count -gt 10 && break
3664 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
3679 if test -z "$GREP"; then
3701 if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
3702 then ac_cv_path_EGREP="$GREP -E"
3705 if test -z "$EGREP"; then
3711 # Loop through the user's path and test for each of PROGNAME-LIST
3716 test -z "$as_dir" && as_dir=.
3720 { test -f "$ac_path_EGREP" && $as_test_x "$ac_path_EGREP"; } || continue
3723 case `"$ac_path_EGREP" --version 2>&1` in
3738 if test $ac_count -gt ${ac_path_EGREP_max-0}; then
3744 test $ac_count -gt 10 && break
3746 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
3761 if test -z "$EGREP"; then
3805 rm -f conftest*
3811 CFLAGS="${CFLAGS} -D_THREAD_SAFE"
3814 CFLAGS="${CFLAGS} -D_REENTRANT"
3818 CFLAGS="${CFLAGS} -D_REENTRANT"
3824 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3825 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3827 if test -n "$ac_tool_prefix"; then
3835 if test -n "$CC"; then
3842 test -z "$as_dir" && as_dir=.
3844 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
3856 if test -n "$CC"; then
3866 if test -z "$ac_cv_prog_CC"; then
3875 if test -n "$ac_ct_CC"; then
3882 test -z "$as_dir" && as_dir=.
3884 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
3896 if test -n "$ac_ct_CC"; then
3909 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
3912 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
3923 if test -z "$CC"; then
3924 if test -n "$ac_tool_prefix"; then
3932 if test -n "$CC"; then
3939 test -z "$as_dir" && as_dir=.
3941 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
3953 if test -n "$CC"; then
3964 if test -z "$CC"; then
3972 if test -n "$CC"; then
3980 test -z "$as_dir" && as_dir=.
3982 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
4010 if test -n "$CC"; then
4020 if test -z "$CC"; then
4021 if test -n "$ac_tool_prefix"; then
4031 if test -n "$CC"; then
4038 test -z "$as_dir" && as_dir=.
4040 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
4052 if test -n "$CC"; then
4061 test -n "$CC" && break
4064 if test -z "$CC"; then
4075 if test -n "$ac_ct_CC"; then
4082 test -z "$as_dir" && as_dir=.
4084 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
4096 if test -n "$ac_ct_CC"; then
4105 test -n "$ac_ct_CC" && break
4113 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
4116 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
4128 test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
4137 { (ac_try="$ac_compiler --version >&5"
4143 (eval "$ac_compiler --version >&5") 2>&5
4147 { (ac_try="$ac_compiler -v >&5"
4153 (eval "$ac_compiler -v >&5") 2>&5
4157 { (ac_try="$ac_compiler -V >&5"
4163 (eval "$ac_compiler -V >&5") 2>&5
4191 rm -f conftest.$ac_objext
4200 grep -v '^ *+' conftest.er1 >conftest.err
4201 rm -f conftest.er1
4205 test -z "$ac_c_werror_flag" ||
4206 test ! -s conftest.err
4207 } && test -s conftest.$ac_objext; then
4216 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4225 { echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
4226 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
4233 CFLAGS="-g"
4249 rm -f conftest.$ac_objext
4258 grep -v '^ *+' conftest.er1 >conftest.err
4259 rm -f conftest.er1
4263 test -z "$ac_c_werror_flag" ||
4264 test ! -s conftest.err
4265 } && test -s conftest.$ac_objext; then
4287 rm -f conftest.$ac_objext
4296 grep -v '^ *+' conftest.er1 >conftest.err
4297 rm -f conftest.er1
4301 test -z "$ac_c_werror_flag" ||
4302 test ! -s conftest.err
4303 } && test -s conftest.$ac_objext; then
4310 CFLAGS="-g"
4326 rm -f conftest.$ac_objext
4335 grep -v '^ *+' conftest.er1 >conftest.err
4336 rm -f conftest.er1
4340 test -z "$ac_c_werror_flag" ||
4341 test ! -s conftest.err
4342 } && test -s conftest.$ac_objext; then
4351 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4354 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4357 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4366 CFLAGS="-g -O2"
4368 CFLAGS="-g"
4372 CFLAGS="-O2"
4413 /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
4416 as 'x'. The following induces an error, until -std is added to get
4419 that's true only with -std. */
4420 int osf4_cc_array ['\x00' == 0 ? 1 : -1];
4422 /* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
4425 int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
4441 for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
4442 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
4445 rm -f conftest.$ac_objext
4454 grep -v '^ *+' conftest.er1 >conftest.err
4455 rm -f conftest.er1
4459 test -z "$ac_c_werror_flag" ||
4460 test ! -s conftest.err
4461 } && test -s conftest.$ac_objext; then
4470 rm -f core conftest.err conftest.$ac_objext
4473 rm -f conftest.$ac_ext
4494 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4495 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4505 if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
4508 # instance it was reported that on HP-UX the gcc test will end up
4509 # making a dummy file named `D' -- because `-MD' means `put the output
4518 # both Tru64's cc and ICC support -MD to output dependencies as a
4526 am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
4547 # after this tag, mechanisms are not by side-effect, so they'll
4557 # We check with `-c' and `-o' for the sake of the "dashmstdout"
4559 # handle `-M -o', and we need to detect this.
4561 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
4563 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
4567 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
4568 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
4570 # or remarks (even with -Werror). So we grep stderr for any message
4572 # When given -MP, icc 7.0 and 7.1 complain thusly:
4573 # icc: Command line warning: ignoring option '-M'; no argument required
4575 # icc: Command line remark: option '-MP' not supported
4585 rm -rf conftest.dir
4608 { echo "$as_me:$LINENO: checking for main in -lm" >&5
4609 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6; }
4614 LIBS="-lm $LIBS"
4631 rm -f conftest.$ac_objext conftest$ac_exeext
4640 grep -v '^ *+' conftest.er1 >conftest.err
4641 rm -f conftest.er1
4645 test -z "$ac_c_werror_flag" ||
4646 test ! -s conftest.err
4647 } && test -s conftest$ac_exeext &&
4657 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
4668 LIBS="-lm $LIBS"
4673 { echo "$as_me:$LINENO: checking for main in -lpthread" >&5
4674 echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6; }
4679 LIBS="-lpthread $LIBS"
4696 rm -f conftest.$ac_objext conftest$ac_exeext
4705 grep -v '^ *+' conftest.er1 >conftest.err
4706 rm -f conftest.er1
4710 test -z "$ac_c_werror_flag" ||
4711 test ! -s conftest.err
4712 } && test -s conftest$ac_exeext &&
4722 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
4733 LIBS="-lpthread $LIBS"
4763 rm -f conftest.$ac_objext
4772 grep -v '^ *+' conftest.er1 >conftest.err
4773 rm -f conftest.er1
4777 test -z "$ac_c_werror_flag" ||
4778 test ! -s conftest.err
4779 } && test -s conftest.$ac_objext; then
4788 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4807 rm -f conftest*
4828 rm -f conftest*
4833 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4847 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4868 rm -f conftest$ac_exeext
4897 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$…
4943 rm -f conftest.$ac_objext
4952 grep -v '^ *+' conftest.er1 >conftest.err
4953 rm -f conftest.er1
4957 test -z "$ac_c_werror_flag" ||
4958 test ! -s conftest.err
4959 } && test -s conftest.$ac_objext; then
4968 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5009 rm -f conftest.$ac_objext
5018 grep -v '^ *+' conftest.er1 >conftest.err
5019 rm -f conftest.er1
5023 test -z "$ac_c_werror_flag" ||
5024 test ! -s conftest.err
5025 } && test -s conftest.$ac_objext; then
5034 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5082 rm -f conftest.$ac_objext
5091 grep -v '^ *+' conftest.er1 >conftest.err
5092 rm -f conftest.er1
5096 test -z "$ac_c_werror_flag" ||
5097 test ! -s conftest.err
5098 } && test -s conftest.$ac_objext; then
5107 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5130 grep -v '^ *+' conftest.er1 >conftest.err
5131 rm -f conftest.er1
5135 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
5136 test ! -s conftest.err
5146 rm -f conftest.err conftest.$ac_ext
5153 … "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5154 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5168 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5169 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5197 { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
5198 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
5225 an arm of an if-expression whose if-part is not a constant
5228 pcpcc = &g + (g ? g-g : 0);
5240 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
5245 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
5251 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
5253 struct s *b; b->j = 5;
5255 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
5266 rm -f conftest.$ac_objext
5275 grep -v '^ *+' conftest.er1 >conftest.err
5276 rm -f conftest.er1
5280 test -z "$ac_c_werror_flag" ||
5281 test ! -s conftest.err
5282 } && test -s conftest.$ac_objext; then
5291 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5327 rm -f conftest.$ac_objext
5336 grep -v '^ *+' conftest.er1 >conftest.err
5337 rm -f conftest.er1
5341 test -z "$ac_c_werror_flag" ||
5342 test ! -s conftest.err
5343 } && test -s conftest.$ac_objext; then
5352 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5409 rm -f conftest.$ac_objext conftest$ac_exeext
5418 grep -v '^ *+' conftest.er1 >conftest.err
5419 rm -f conftest.er1
5423 test -z "$ac_c_werror_flag" ||
5424 test ! -s conftest.err
5425 } && test -s conftest$ac_exeext &&
5445 rm -f conftest.$ac_objext conftest$ac_exeext
5454 grep -v '^ *+' conftest.er1 >conftest.err
5455 rm -f conftest.er1
5459 test -z "$ac_c_werror_flag" ||
5460 test ! -s conftest.err
5461 } && test -s conftest$ac_exeext &&
5467 : # Assume setvbuf is not reversed when cross-compiling.
5486 return 0; /* Non-reversed systems SEGV here. */
5491 rm -f conftest$ac_exeext
5518 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$…
5530 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5539 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5576 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5614 rm -f conftest.$ac_objext conftest$ac_exeext
5623 grep -v '^ *+' conftest.er1 >conftest.err
5624 rm -f conftest.er1
5628 test -z "$ac_c_werror_flag" ||
5629 test ! -s conftest.err
5630 } && test -s conftest$ac_exeext &&
5640 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5664 # scripts and configure runs, see configure's option --config-cache.
5669 # the --recheck option to rerun configure.
5683 for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
5701 # `set' does not quote correctly, so add quotes (double-quote
5703 sed -n \
5709 sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
5723 if test -w "$cache_file"; then
5733 rm -f confcache
5739 DEFS=-DHAVE_CONFIG_H
5757 if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
5764 if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
5771 if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
5794 SHELL=\${CONFIG_SHELL-$SHELL}
5798 ## --------------------- ##
5800 ## --------------------- ##
5804 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
5809 alias -g '${1+"$@"}'='"$@"'
5812 case `(set -o) 2>/dev/null` in
5813 *posix*) set -o posix ;;
5839 rm -f conf$$.sh
5852 # there to prevent editors from complaining about space-tab.
5866 test -z "$as_dir" && as_dir=.
5867 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
5878 if test ! -f "$as_myself"; then
5883 # Work around bugs in pre-3.0 UWIN ksh.
5897 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
5912 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
5920 as_me=`$as_basename -- "$0" ||
5951 # line-number line after each line using $LINENO; the second 'sed'
5953 # line-number line with the line containing $LINENO, and appends
5954 # trailing '-' during substitution so that $LINENO is not a special
5958 # E. McMahon (1931-1989) for sed's syntax. :-)
5959 sed -n '
5964 s/[$]LINENO.*/&-/
5972 s/-\n.*//
5987 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
5994 case `echo -n x` in
5995 -n*)
6001 ECHO_N='-n';;
6011 rm -f conf$$ conf$$.exe conf$$.file
6012 if test -d conf$$.dir; then
6013 rm -f conf$$.dir/conf$$.file
6015 rm -f conf$$.dir
6019 if ln -s conf$$.file conf$$ 2>/dev/null; then
6020 as_ln_s='ln -s'
6022 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
6023 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
6024 # In both cases, we have to default to `cp -p'.
6025 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
6026 as_ln_s='cp -p'
6030 as_ln_s='cp -p'
6032 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
6035 if mkdir -p . 2>/dev/null; then
6038 test -d ./-p && rmdir ./-p
6042 if test -x / >/dev/null 2>&1; then
6043 as_test_x='test -x'
6045 if ls -dL / >/dev/null 2>&1; then
6051 eval sh -c '\''
6052 if test -d "$1"; then
6053 test -d "$1/.";
6056 -*)set "./$1";;
6058 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
6087 on `(hostname || uname -n) 2>/dev/null | sed 1q`
6107 -h, --help print this help, then exit
6108 -V, --version print version number and configuration settings, then exit
6109 -q, --quiet do not print progress messages
6110 -d, --debug don't remove temporary files
6111 --recheck update $as_me by reconfiguring in the same conditions
6112 --file=FILE[:TEMPLATE]
6114 --header=FILE[:TEMPLATE]
6126 Report bugs to <bug-autoconf@gnu.org>."
6152 --*=*)
6166 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
6168 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
6170 --debug | --debu | --deb | --de | --d | -d )
6172 --file | --fil | --fi | --f )
6176 --header | --heade | --head | --hea )
6180 --he | --h)
6181 # Conflict between --help and --header
6183 Try \`$0 --help' for more information." >&2
6185 --help | --hel | -h )
6187 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
6188 | -silent | --silent | --silen | --sile | --sil | --si | --s)
6192 -*) { echo "$as_me: error: unrecognized option: $1
6193 Try \`$0 --help' for more information." >&2
6207 ac_configure_extra_args="$ac_configure_extra_args --silent"
6213 …LL=$SHELL $SHELL $0 "$ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
6216 exec $SHELL "$0"$ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
6224 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
6233 # INIT-COMMANDS
6277 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
6284 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
6285 test -n "$tmp" && test -d "$tmp"
6288 tmp=./conf$$-$RANDOM
6302 if test -n "$CONFIG_FILES"; then
6401 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
6412 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
6413 if test -n "$ac_eof"; then
6414 ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
6419 cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof
6420 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
6431 rm -f conf$$subs.sed
6455 fi # test -n "$CONFIG_FILES"
6468 :[FH]-) ac_tag=-:-;;
6486 -) ac_f="$tmp/stdin";;
6488 # (if the path is not absolute). The absolute path cannot be DOS-style,
6490 test -f "$ac_f" ||
6493 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
6507 if test x"$ac_file" != x-; then
6514 *:-:* | *:-) cat >"$tmp/stdin";;
6519 ac_dir=`$as_dirname -- "$ac_file" ||
6544 -*) as_dir=./$as_dir;;
6546 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
6554 as_dir=`$as_dirname -- "$as_dir" ||
6577 test -d "$as_dir" && break
6579 test -z "$as_dirs" || eval "mkdir $as_dirs"
6580 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
6640 case `sed -n '/datarootdir/ {
6652 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
6653 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
6675 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
6688 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
6690 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
6691 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
6692 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
6698 rm -f "$tmp/stdin"
6700 -) cat "$tmp/out"; rm -f "$tmp/out";;
6701 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
6712 rm -f conftest.defines conftest.tail
6723 # PARAMS is the parameter list in the macro definition--in most cases, it's
6731 sed -n '
6754 # First sed command is: sed -f defines.sed $ac_file_inputs >"$tmp/out1"
6755 # Second one is: sed -f defines.sed "$tmp/out1" >"$tmp/out2"
6756 # Third one will be: sed -f defines.sed "$tmp/out2" >"$tmp/out1"
6775 sed -f "$tmp/defines.sed"' "$ac_in >$ac_out" >>$CONFIG_STATUS
6779 rm -f conftest.defines
6782 rm -f conftest.defines conftest.tail
6786 if test x"$ac_file" != x-; then
6793 rm -f $ac_file
6800 rm -f "$tmp/out12"
6812 echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
6834 s/.*/./; q'`/stamp-h$_am_stamp_count
6846 mf=`echo "$mf" | sed -e 's/:.*$//'`
6850 # Grep'ing the first line is not enough: some people post-process
6854 if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
6855 dirpart=`$as_dirname -- "$mf" ||
6883 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
6884 test -z "$DEPDIR" && continue
6885 am__include=`sed -n 's/^am__include = //p' < "$mf"`
6886 test -z "am__include" && continue
6887 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
6889 U=`sed -n 's/^U = //p' < "$mf"`
6894 for file in `sed -n "
6896 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
6898 test -f "$dirpart/$file" && continue
6899 fdir=`$as_dirname -- "$file" ||
6924 -*) as_dir=./$as_dir;;
6926 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
6934 as_dir=`$as_dirname -- "$as_dir" ||
6957 test -d "$as_dir" && break
6959 test -z "$as_dirs" || eval "mkdir $as_dirs"
6960 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
6968 "default":C) echo timestamp > stamp-h ;;
6992 ac_config_status_args="$ac_config_status_args --quiet"